org.apache.cayenne.dba.oracle

## Class OracleByteArrayType

- java.lang.Object
- - org.apache.cayenne.access.types.ByteArrayType
  - - org.apache.cayenne.dba.oracle.OracleByteArrayType

- All Implemented Interfaces:
    ExtendedType

      public class OracleByteArrayType
      extends ByteArrayType

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.types.ByteArrayType

      `trimmingBytes, usingBlobs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleByteArrayType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setJdbcObject(PreparedStatement st, Object val, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.

    - ### Methods inherited from class org.apache.cayenne.access.types.ByteArrayType

      `getClassName, isTrimmingBytes, isUsingBlobs, materializeObject, materializeObject, readBinaryStream, readBlob, readValueStream, setTrimmingBytes, setUsingBlobs, trimBytes, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleByteArrayType

          public OracleByteArrayType()

  - ### Method Detail

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement st,
                           Object val,
                           int pos,
                           int type,
                           int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType`
      Overrides:
        `setJdbcObject` in class `ByteArrayType`
      Throws:
        `Exception`

Copyright © 2001–2014 Apache Cayenne. All rights reserved.